package jp.agentec.abook.abv.bl.common.log;

public abstract class AbstractLogger { // protectedメソッドにするためinterfaceからabstract classに変更
	protected abstract void verbose(String tag, String log);
	protected abstract void verbose(String tag, String log, Throwable t);
	protected abstract void debug(String tag, String log);
	protected abstract void debug(String tag, String log, Throwable t);
	protected abstract void info(String tag, String log);
	protected abstract void info(String tag, String log, Throwable t);
	protected abstract void warn(String tag, String log);
	protected abstract void warn(String tag, String log, Throwable t);
	protected abstract void error(String tag, String log);
	protected abstract void error(String tag, String log, Throwable t);
}
